%define oname   tokyocabinet

Name:           ruby-%{oname}
Version:        1.32.0
Release:        %mkrel 7
Summary:        Tokyo Cabinet: a modern implementation of DBM
License:        LGPLv2.1
Group:          Development/Ruby
URL:            http://tokyocabinet.sourceforge.net/
Source0:        https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires:  rubygems
BuildRequires:  pkgconfig(ruby)
BuildRequires:  pkgconfig(tokyocabinet)

%description
Tokyo Cabinet is a library of routines for managing a database.  The
database is a simple data file containing records, each is a pair of a key
and a value.  Every key and value is serial bytes with variable length. 
Both binary data and character string can be used as a key and a value. 
There is neither concept of data tables nor data types.  Records are
organized in hash table, B+ tree, or fixed-length array.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 1.32.0-7.mga9
+ Revision: 1827172
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 1.32.0-6.mga9
+ Revision: 1784630
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 1.32.0-5.mga8
+ Revision: 1553182
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1.32.0-4.mga8
+ Revision: 1516663
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.32.0-3.mga7
+ Revision: 1300906
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 1.32.0-2.mga7
+ Revision: 1188713
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 1.32.0-1.mga7
+ Revision: 1141927
- Update to 1.32.0

* Tue Aug 15 2017 pterjan <pterjan> 1.29.1-8.mga7
+ Revision: 1140884
- Rebuild for new Ruby
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 spuhler <spuhler> 1.29.1-6.mga6
+ Revision: 907693
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 1.29.1-5.mga5
+ Revision: 741148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.29.1-4.mga5
+ Revision: 688987
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.29.1-3.mga4
+ Revision: 562581
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 1.29.1-2.mga4
+ Revision: 560545
- Update for new binary extensions location

* Thu Dec 12 2013 spuhler <spuhler> 1.29.1-1.mga4
+ Revision: 556496
- upgrade to version 1.29.1
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 umeabot <umeabot> 1.29-5.mga3
+ Revision: 396594
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.29-4.mga3
+ Revision: 381600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.29-3.mga3
+ Revision: 314023
- update file list
- add authors
- rebuild for new ruby

* Sun Jan 22 2012 kamil <kamil> 1.29-2.mga2
+ Revision: 199449
- rebuild against new tokyocabinet 1.4.47
- clean .spec

* Thu Feb 10 2011 shikamaru <shikamaru> 1.29-1.mga1
+ Revision: 49718
- fix file list
- fix License
- imported package ruby-tokyocabinet


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.29-1
- Initial package
